instalar_lagrange_en_linux

Instalar Lagrange en GNU/Linux

El cliente Lagrange te permitirá navegar en cápsulas Gémini, pero para que funcione debes instalarlo en tu sistema.

Si no deseas este cliente gráfico puedes recurrir a los clientes amfora y bombadillo que ya están instalados en texto-plano.xyz

El método más sencillo es utilizar en tu sistema GNU/Linux una imágen ya precompilada. Podrás descargar la versión 1.9.3 ingresando los siguientes comandos en tu sistema.

cd ~/Descargas/ ;
wget -O Lagrange-1.9.3-x86_64.AppImage https://git.skyjake.fi/attachments/c88eb26c-62fd-4b21-8c54-d7921b39829e ;
chmod +x ~/Descargas/Lagrange-1.9.3-x86_64.AppImage

Podrás descargar el código fuente de Lagrange y compilarlo.

Descarga e instala en tu sistema las librerías requeridas, luego descarga su código fuente y compilalo con:

sudo apt update ;
sudo apt install git cmake zip libsdl2-dev libssl-dev libpcre3-dev zlib1g-dev libunistring-dev libfribidi-dev libmpg123-dev ;
cd ~ ;
git clone --recursive --branch release https://git.skyjake.fi/gemini/lagrange ;
mv ~/lagrange/ ~/.lagrange/ ;
cd ~/.lagrange/ ;
cmake -DCMAKE_BUILD_TYPE=Release ;
sudo make install
  • instalar_lagrange_en_linux.txt
  • Última modificación: 2021/12/27 21:46
  • por peron